## org.eclipse.wst.server.core.model
Class LaunchableAdapterDelegate

    java.lang.Object
      org.eclipse.wst.server.core.model.LaunchableAdapterDelegate

    public abstract class LaunchableAdapterDelegate

extends java.lang.Object

This interface, typically implemented by the server code, converts from an IModuleArtifact to an object launchable on the server.

This is the implementation of a launchableAdapter extension point.

This abstract class is intended to be extended only by clients to extend the `launchableAdapters` extension point.

Since:
  1.0

Constructor Summary
`LaunchableAdapterDelegate()`

Method Summary
`abstract java.lang.Object` `getLaunchable(IServer server, IModuleArtifact moduleArtifact)` Returns a launchable object from this module artifact.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LaunchableAdapterDelegate

    public LaunchableAdapterDelegate()

Method Detail

### getLaunchable

    public abstract java.lang.Object getLaunchable(IServer server,
                                                   IModuleArtifact moduleArtifact)
                                            throws CoreException

  Returns a launchable object from this module artifact.

  Parameters:
    `server` - the server
    `moduleArtifact` - a module artifact [issue: if the launchable object cannot be found, should it throw a CoreExcpetion or return null?]
  Returns:
    the launchable object
  Throws:
    `CoreException` - if there was an error doing the conversion